Bug 93423 - Memory leak in SbMethod::Broadcast
Summary: Memory leak in SbMethod::Broadcast
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Memory
  Show dependency treegraph
 
Reported: 2015-08-14 11:53 UTC by Stephan Bergmann
Modified: 2021-01-11 03:58 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Bergmann 2015-08-14 11:53:40 UTC
As described in <http://cgit.freedesktop.org/libreoffice/core/commit/?id=6b4c596b01039324cfe78f38c4e3ffb9080bcd34> "Fix memory leak for BASIC sub (as well as void function)" there are memory leaks (as reported by lsan) when running CppunitTest_basic_vba.

However, that supposed fix turned out to cause regression bug 92446 and was thus reverted with <http://cgit.freedesktop.org/libreoffice/core/commit/?id=9d094b9f0a05d2ea62181201efb8f9e46ecfc8f1> "tdf#92446: Revert apparently bogus attempt at fixing a memory leak."

So the memory leaks are back on current master (towards libreoffice-5-1) and await a proper fix:

> Indirect leak of 6336 byte(s) in 36 object(s) allocated from:
>  #0 0x4f2cc0 in operator new(unsigned long) /home/sbergman/clang/trunk/src/projects/compiler-rt/lib/asan/asan_new_delete.cc:62
>  #1 0x2b39ad21bf31 in SbMethod::Broadcast(unsigned int) basic/source/classes/sbxmod.cxx:2138:31
>  #2 0x2b39ad99604c in SbxValue::SbxValue(SbxValue const&) basic/source/sbx/sbxvalue.cxx:100:9
>  #3 0x2b39ad9e14dc in SbxVariable::SbxVariable(SbxVariable const&) basic/source/sbx/sbxvar.cxx:75:7
>  #4 0x2b39ad9518ed in SbxMethod::SbxMethod(SbxMethod const&) basic/source/sbx/sbxobj.cxx:884:7
>  #5 0x2b39ad6743e9 in SbiRuntime::FindElement(SbxObject*, unsigned int, unsigned int, unsigned long, bool, bool) basic/source/runtime/runtime.cxx:3569:37
>  #6 0x2b39ad67de6d in SbiRuntime::StepFIND_Impl(SbxObject*, unsigned int, unsigned int, unsigned long, bool, bool) basic/source/runtime/runtime.cxx:4001:14
>  #7 0x2b39ad61eb92 in SbiRuntime::StepFIND(unsigned int, unsigned int) basic/source/runtime/runtime.cxx:4007:5
>  #8 0x2b39ad643fa5 in SbiRuntime::Step() basic/source/runtime/runtime.cxx:785:13
>  #9 0x2b39ad1ec019 in SbModule::Run(SbMethod*) basic/source/classes/sbxmod.cxx:1176:20
>  #10 0x2b39ad1e6a96 in SbModule::Notify(SfxBroadcaster&, SfxHint const&) basic/source/classes/sbxmod.cxx:843:21
>  #11 0x2b399b30fac1 in SfxBroadcaster::Broadcast(SfxHint const&) svl/source/notify/SfxBroadcaster.cxx:51:13
>  #12 0x2b39ad21cd51 in SbMethod::Broadcast(unsigned int) basic/source/classes/sbxmod.cxx:2155:9
>  #13 0x2b39ad99604c in SbxValue::SbxValue(SbxValue const&) basic/source/sbx/sbxvalue.cxx:100:9
>  #14 0x2b39ad9e14dc in SbxVariable::SbxVariable(SbxVariable const&) basic/source/sbx/sbxvar.cxx:75:7
>  #15 0x2b39ad9518ed in SbxMethod::SbxMethod(SbxMethod const&) basic/source/sbx/sbxobj.cxx:884:7
>  #16 0x2b39ad6743e9 in SbiRuntime::FindElement(SbxObject*, unsigned int, unsigned int, unsigned long, bool, bool) basic/source/runtime/runtime.cxx:3569:37
>  #17 0x2b39ad67de6d in SbiRuntime::StepFIND_Impl(SbxObject*, unsigned int, unsigned int, unsigned long, bool, bool) basic/source/runtime/runtime.cxx:4001:14
>  #18 0x2b39ad61eb92 in SbiRuntime::StepFIND(unsigned int, unsigned int) basic/source/runtime/runtime.cxx:4007:5
>  #19 0x2b39ad643fa5 in SbiRuntime::Step() basic/source/runtime/runtime.cxx:785:13
>  #20 0x2b39ad1ec019 in SbModule::Run(SbMethod*) basic/source/classes/sbxmod.cxx:1176:20
>  #21 0x2b39ad1e6a96 in SbModule::Notify(SfxBroadcaster&, SfxHint const&) basic/source/classes/sbxmod.cxx:843:21
>  #22 0x2b399b30fac1 in SfxBroadcaster::Broadcast(SfxHint const&) svl/source/notify/SfxBroadcaster.cxx:51:13
>  #23 0x2b39ad21cd51 in SbMethod::Broadcast(unsigned int) basic/source/classes/sbxmod.cxx:2155:9
>  #24 0x2b39ad99604c in SbxValue::SbxValue(SbxValue const&) basic/source/sbx/sbxvalue.cxx:100:9
>  #25 0x2b39ad9e14dc in SbxVariable::SbxVariable(SbxVariable const&) basic/source/sbx/sbxvar.cxx:75:7
>  #26 0x2b39ad9518ed in SbxMethod::SbxMethod(SbxMethod const&) basic/source/sbx/sbxobj.cxx:884:7
>  #27 0x2b39ad6743e9 in SbiRuntime::FindElement(SbxObject*, unsigned int, unsigned int, unsigned long, bool, bool) basic/source/runtime/runtime.cxx:3569:37
>  #28 0x2b39ad67de6d in SbiRuntime::StepFIND_Impl(SbxObject*, unsigned int, unsigned int, unsigned long, bool, bool) basic/source/runtime/runtime.cxx:4001:14
>  #29 0x2b39ad61eb92 in SbiRuntime::StepFIND(unsigned int, unsigned int) basic/source/runtime/runtime.cxx:4007:5
Comment 1 QA Administrators 2016-09-20 10:29:52 UTC Comment hidden (obsolete)
Comment 2 QA Administrators 2021-01-11 03:58:02 UTC
Dear Stephan Bergmann,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug